Bug 241750 - (Steve) Wrong boot partition after upgrade
Wrong boot partition after upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 03:45 EDT by Steve
Modified: 2008-05-06 15:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2007-05-30 03:45:40 EDT
Description of problem:
Doing a system upgrade, 
Putting a new disk in machine 1 for a sugnificant increase in storage.
moving a old disk to another machine 2 to to give storage update, 
leaving content unmodified (including bootable status and grub)

On machine 2 grub installed onto hda which is master drive on IDE0, the moved
disk is slave drive on IDE0 so should be hdb, however, its contents are unmodified. 

Version-Release number of selected component (if applicable): grub fc5

How reproducible:
unknown

Steps to Reproduce:
1. installed drive from machine 2 as slave on IDE0
2. boot system
  
Actual results:
system boots from moved drive not the original one 

Expected results:
system should have booted from original drive as listin in grub.conf

Additional info:  
Problem resolved after much content shuffling, booting with knoppix disk to
copy contents and a reformat of the second drive and reinstall of grub and
assertion of volume labels

# cat device.map
# this device map was generated by anaconda
(hd0)     /dev/hda

# cat grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda2
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.20-1.2316.fc5smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-1.2316.fc5smp ro root=LABEL=/
        initrd /initrd-2.6.20-1.2316.fc5smp.img
title Fedora Core (2.6.20-1.2312.fc5smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-1.2312.fc5smp ro root=LABEL=/
        initrd /initrd-2.6.20-1.2312.fc5smp.img

More testing not possible.
Comment 1 Bug Zapper 2008-04-04 03:19:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:38:21 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.